<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Archive Template
 *
 *
 * @file           archive.php
 * @package        Ubuntu blog theme 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license
 * @version        Release: 2.0
 * @filesource     wp-content/themes/canonical/archive.php
 * @link           http://codex.wordpress.org/Theme_Development#Archive_.28archive.php.29
 * @since          available since Release 2.0
 */

get_header(); ?>
<?php 
	$postCount = 0;
?>
<div class="row">
	<section>
	<div class="two-col">
	<ul id="list-archives" class="no-bullets">
	<?php
	/**/
	$years = $wpdb->get_col("SELECT DISTINCT YEAR(post_date) FROM $wpdb->posts WHERE post_status = 'publish' AND post_type = 'post' ORDER BY post_date DESC");
	foreach($years as $year) :
	?>
		<li class="year"><h3><a href="<?php echo get_year_link($year); ?> "><?php echo $year; ?></a></h3>
	
			<ul id="" class="no-bullets">
			<?	$months = $wpdb->get_col("SELECT DISTINCT MONTH(post_date) FROM $wpdb->posts WHERE post_status = 'publish' AND post_type = 'post' AND YEAR(post_date) = '".$year."' ORDER BY post_date DESC");
				foreach($months as $month) :
				?>
				<li class=""><a href="<?php echo get_month_link($year, $month); ?>"><?php echo date( 'F', mktime(0, 0, 0, $month) );?>
				<?php $monthly_posts = query_posts("year=".$year."&monthnum=".$month."&order=DESC");
					  $post_count = count($monthly_posts);
				?>
	(<?php if($post_count >= 1) { echo $post_count.''; } wp_reset_query(); ?>)</a></li>
				<?php endforeach;?>
			</ul>
		</li>
	<?php endforeach; ?>
	</ul>
	</div><!-- /.two-col -->
			<?php if (have_posts()) : ?>
				<?php while (have_posts()) : the_post(); ?>
				<?php if(++$postCount == 1) { ?>
			<h1>Posts from <?php the_time(' F Y') ?></h1>
		<div class="nine-col last-col">
				<ul id="results-list" class="no-bullets">
			<?php } ?>
				<li class="box">
					<article>
						<h3><a href="<?php the_permalink() ?>"><?php if (get_post_type() == 'post') { echo 'Blog: '; } else { $post_type = get_post_type_object(get_post_type($post)); echo $post_type->labels->singular_name, ': '; } ?><?php the_title(); ?></a></h3>
						<p class="article-meta"><span class="off-left">Posted by </span><a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><strong><?php if(get_the_author_meta('first_name') == '') { ?><?php if(the_author_meta('display_name')) ?><?php } else { ?><?php if(the_author_meta('first_name')) ?> <?php if(the_author_meta('last_name')) ?><?php } ?> </strong></a> on <time datetime="<?php the_time('Y-m-d') ?>"><?php the_time('j') ?><sup><?php the_time('S') ?></sup><?php the_time(' F Y') ?></time></p>
						<?php the_excerpt(); ?>
						<?#php comments_number('No <span class="postHeaderValue">Comments</span>','1 <span class="postHeaderValue">Comment</span>','% <span class="postHeaderValue">Comments</span>'); ?>
					</article>
				</li>		
			<?php endwhile; ?>
				</ul>
			<?php else : ?>	
			<?php endif; // end have_posts ?>
		</div><!-- /.eight-col -->
	</section>
</div>
<?php get_footer(); ?>