<?php 
// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * index template
 *
 *
 * @file           author.php
 * @package        Ubuntu theme 
 * @author         Canonical Web Team 
 * @copyright      2013 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/author.php
 * @since          available since Release 1.0
 */
get_header(); 
?>

<div class="row">
	<div class="seven-col">
		 <?php 
		 $curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author));				
		 if(get_the_author_meta('user_photo', $curauth->ID)): ?>	
		    <img class="avatar" src="<?php bloginfo('url'); ?>/wp-content/uploads/<?php the_author_meta('user_photo',$curauth->ID); ?>" class="superellipse" alt="<?php the_author_meta('first_name',$curauth->ID); ?>'s photo" width="180" height="180" />
	    <?php else : ?>
		    	<?php echo get_avatar($curauth->user_email, '180', $avatar); ?>
	    <?php endif; ?>
	    <div class="bio">
	    	<header>
		    	<h1><?php echo $curauth->first_name . ' ' . $curauth->last_name; ?></h1>
		    	<h2><?php echo $curauth->roleinteam; ?></h2>
		    	<p class="location"><?php echo $curauth->location; ?></p>
	    	</header>
	    	<ul id="social-links" class="no-bullets">
					<li><a class="social-rss url" href="/author/<?php the_author_meta('user_nicename',$curauth->ID); ?>/feed/" title="Subscribe to <?php the_author_meta('first_name',$curauth->ID); ?>'s RSS feed">Subscribe to <?php the_author_meta('first_name',$curauth->ID); ?>'s RSS feed</a></li>
				<?php if(get_the_author_meta('user_twitter', $curauth->ID)): ?>
					<li><a class="social-twitter url" href="http://twitter.com/<?php the_author_meta('user_twitter', $curauth->ID); ?>" title="Follow <?php the_author_meta('first_name', $curauth->ID); ?> on Twitter">Follow <?php the_author_meta('first_name',$curauth->ID); ?> on Twitter</a></li>
				<?php endif; ?>
				<?php if(get_the_author_meta('user_facebook', $curauth->ID)): ?>
					<li><a class="social-facebook url" href="http://facebook.com/<?php the_author_meta('user_facebook', $curauth->ID); ?>" title="Follow <?php the_author_meta('first_name',$curauth->ID); ?> on Facebook">Follow <?php the_author_meta('first_name',$curauth->ID); ?> on Facebook</a></li>
				<?php endif; ?>
				<?php if(get_the_author_meta('user_google', $curauth->ID)): ?>
					<li><a title="Follow <?php the_author_meta('first_name',$curauth->ID); ?> on Google Plus" class="social-google url" href="https://plus.google.com/<?php the_author_meta('user_google',$curauth->ID); ?>">Follow <?php the_author_meta('first_name',$curauth->ID); ?> on Google Plus</a></li>
				<?php endif; ?>
				<?php if(get_the_author_meta('user_launchpad', $curauth->ID)): ?>
					<li><a class="social-launchpad url" href="https://launchpad.net/~<?php echo $curauth->user_launchpad; ?>" title="View <?php echo $curauth->first_name; ?> on Launchpad">Launchpad</a></li>
				<?php endif; ?>
			</ul>
			
		    
	    </div>
	    <?php if(get_the_author_meta('user_description', $curauth->ID)){ ?>
			    <div class="description"><p><?php echo $curauth->user_description; ?></p></div>
			<?php } ?>
	</div>
	<div class="five-col box box-grey last-col">
		<h3>Recently posted by <?php echo $curauth->first_name ?>:</h3>
		<ul class="no-bullets list">
			<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
		        <li>
		            <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>">
		            <?php the_title(); ?></a><br/>
		            <span class="note"><?php the_time('j') ?><sup><?php the_time('S') ?></sup><?php the_time(' F Y') ?></span>
		        </li>
		    <?php endwhile; else: ?>
		        <p><?php _e('No posts to date.'); ?></p>
		    <?php endif; ?>
	    </ul>
	</div>
</div>
	

<?php get_footer(); ?>