<?php 
// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * index template
 *
 *
 * @file           index.php
 * @package        Ubuntu theme 
 * @author         Canonical Web Team 
 * @copyright      2013 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/index.php
 * @since          available since Release 1.0
 */
get_header(); 
?>

<div class="row">
	<h1>Topic: <?php single_cat_title(); ?></h1>
</div>
<?php if (have_posts()) : ?>
	<?php while (have_posts()) : the_post(); ?>
<div class="row">
	<div class="eight-col">
		<h2><a href="<?php the_permalink( ); ?>"><?php the_title(); ?></a></h2>
		<p class="tags"><?php the_category(', '); ?></p>
		<?php the_excerpt(); ?>
	</div>
	<div class="prepend-one three-col last-col">
		 <?php if(get_the_author_meta('user_photo', $curauth->ID)): ?>	
		    <img class="avatar" src="<?php bloginfo('url'); ?>/wp-content/uploads/<?php the_author_meta('user_photo',$curauth->ID); ?>" class="superellipse" alt="<?php the_author_meta('first_name',$curauth->ID); ?>'s photo" width="60" height="60" />
	    <?php else : ?>
		    	<?php echo get_avatar($curauth->user_email, '60', $avatar); ?>
	    <?php endif; ?>
		<p class="post-author"><?php the_author_posts_link(); ?></p>
		<p class="post-date"><?php the_date(); ?></p>
		<p class="post-comments"><a href="<?php comments_link(); ?>"><?php comments_number( 'No Comments' ) ?></a></p>
	</div>
</div>
	<?php endwhile; // while have_posts ends ?>
<?php endif; // if have_posts ends ?> 
	

<?php get_footer(); ?>