<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Header Template
 *
 *
 * @file           header.php
 * @package        Ubuntu blog theme 
 * @author         Canonical Web Team 
 * @copyright      2012 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/insights-theme/header.php
 * @since          available since Release 1.0
 */
?>
<!doctype html>  

<!--[if lt IE 7]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if (IE 7)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8"><![endif]-->
<!--[if (IE 8)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9"><![endif]-->
<!--[if gt IE 8]><!--> <html <?php language_attributes(); ?> class="no-js" /><!--<![endif]-->
	
<head>

<title><?php bloginfo('name'); ?></title>

<meta charset="utf-8" />
<meta name="description" content="" />
<meta name="keywords" content="" />

<!-- Google Chrome Frame for IE -->
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

<link rel="shortcut icon" href="http://www.canonical.com/sites/all/themes/canonical10/favicon.ico" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<!-- stylesheet -->
<link rel="stylesheet" type="text/css" media="all" href="https://fonts.googleapis.com/css?family=Ubuntu:300,400,400italic" />
<link rel="stylesheet" type="text/css" media="screen" href="http://assets.ubuntu.com/sites/guidelines/css/latest/ubuntu-styles.css" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" />

<!-- wordpress head functions -->
<?php wp_head(); ?>
<!-- end of wordpress head -->
	
</head>
	
<body <?php body_class(); ?>>
	
<header class="banner global" role="banner">
	<nav role="navigation" class="nav-primary nav-right">
		<div class="logo">
			<a class="logo-ubuntu" href="<?php echo get_option('home'); ?>/">
				<img width="118" height="27" src="<?php echo get_template_directory_uri(); ?>/library/img/logo.png" alt="<?php bloginfo('name'); ?> logo" />
				<span>blog</span>
			</a>
		</div>
		<ul>
			<?php //wp_list_pages('sort_column=menu_order&title_li=&depth=1'); ?>
			<li id="nav-about"><a href="/about">About</a></li>
			<li id="nav-topics"><a href="#">Topics</a>
				<ul>
					<?php 
						$category = get_category_by_slug('Featured'); 
						$catid = $category->term_id; 
					?>
					<?php wp_list_categories('exclude='.$catid.'&title_li=&current_category=current-cat&depth=1'); // exclude 137 = Featured ?>
				</ul>
			</li>
			<li id="nav-archives"><a href="/archives">Archives</a></li>
		</ul>
		<div id="box-search">
			<?php include (TEMPLATEPATH . '/searchform.php'); ?>		
		</div>
	</nav>	
</header>

<div class="wrapper">
<div id="main-content" class="inner-wrapper" role="main">
