<?php
// adding custom fields to WP user profile
function user_profiles( $contactmethods ) {
    //add Job title
    $contactmethods['roleinteam'] = 'Team Role';
    //add Job title
    $contactmethods['orderinteam'] = 'Team Order';
    // Add IRC
    $contactmethods['user_launchpad'] = 'Launchpad username';
    // Add Google profile
    $contactmethods['user_google'] = 'Google+ username';
    // Add Twitter
    $contactmethods['user_twitter'] = 'Twitter username';
    //add Facebook
    $contactmethods['user_facebook'] = 'Facebook username';
    //add image id
    $contactmethods['user_photo'] = 'Profile photo';
    //add location
    $contactmethods['user_location'] = 'Location (Indicate your city and country. Eg. London, United Kingdom)';
	
    return $contactmethods;
}

add_filter('user_contactmethods','user_profiles',10,1);
// end of adding custom fields to WP user profile

// removing WP user profile fields
add_filter( 'user_contactmethods', 'custom_user_contactmethods' );
function custom_user_contactmethods( $user ) {
        $user_contactmethods = array(
                'aim',
                'yim',
                'jabber'
        );

        foreach ( $user_contactmethods as $user_contactmethod ) {
                unset( $user[$user_contactmethod] );
        }

        return $user;
}
// end removing WP user profile fields

add_action( 'show_user_profile', 'my_show_extra_profile_fields' );
add_action( 'edit_user_profile', 'my_show_extra_profile_fields' );

add_action( 'register_form', 'ts_show_extra_register_fields' );

add_action( 'personal_options_update', 'my_save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'my_save_extra_profile_fields' );

function my_save_extra_profile_fields( $user_id ) {

	if ( !current_user_can( 'edit_user', $user_id ) )
		return false;

	/* Copy and paste this line for additional fields. Make sure to change 'twitter' to the field ID. */
	if(current_user_can('edit_posts', $user_id ))
		update_usermeta( $user_id, 'displayonteam', $_POST['displayonteam'] );
	update_usermeta( $user_id, 'guestblogger', $_POST['guestblogger'] );
}

?>