<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

get_header(); ?>
<div class="row row-hero no-border">
<div class="eight-col">
	<header>
		<hgroup>
			<h1>Your search results for 
			<?php /* Search Count */ 
				$allsearch = &new WP_Query("s=$s&showposts=-1"); 
				$key = wp_specialchars($s, 1); 
				$count = $allsearch->post_count; _e('');
				 _e('\''); 
				 echo $key; _e('\''); 
			?>
			</h1>
			<h2>We've found 
			<?php	 echo $count . ' '; _e('articles'); 
				 wp_reset_query(); 
			?>.</h2>
		</hgroup>
	</header>
	<?php if (have_posts()) : ?>
		<ul id="results-list" class="no-bullets">
		<?php while (have_posts()) : the_post(); ?>
				<li class="result">
					<article>
						<?php $title = get_the_title(); $keys= explode(" ",$s); $title = preg_replace('/('.implode('|', $keys) .')/iu', '<strong class="search-term">\0</strong>', $title); ?>
						<?php $excerpt = get_the_excerpt(); $keys= explode(" ",$s); $excerpt = preg_replace('/('.implode('|', $keys) .')/iu', '<strong class="search-term">\0</strong>', $excerpt); ?>
						<h2><a href="<?php the_permalink() ?>"><?php echo $title; ?></a></h2>
						<p class="result-meta"><a href="/author/<?php the_author_meta('user_nicename',$uid); ?>" title="View <?php if(get_the_author_meta('first_name',$uid)): ?><?php the_author_meta('first_name',$uid); ?><?php else : ?><<?php the_author_meta('display_name',$uid); ?><?php endif; ?>'s bio and posts"><?php the_author() ?></a>, <time datetime="<?php the_time('Y-m-d') ?>" pubdate><?php the_time('j') ?><sup><?php the_time('S') ?></sup><?php the_time(' F Y') ?></time></p>
						<?php echo $excerpt; ?>
						<?#php comments_number('No <span class="postHeaderValue">Comments</span>','1 <span class="postHeaderValue">Comment</span>','% <span class="postHeaderValue">Comments</span>'); ?>
					</article>
				</li>
		<?php endwhile; ?>
		</ul>
		<?php get_template_part("includes/_pagination"); ?>
	<?php else : ?>

		<h2>No posts found. Try a different search?</h2>
		<?php get_search_form(); ?>

	<?php endif; // end have_posts ?>

</div><!-- /.eight-col --> 
</div><!-- /.row -->
<?php get_footer(); ?>
