<?php 
// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * index template
 *
 *
 * @file           single.php
 * @package        Ubuntu theme 
 * @author         Canonical Web Team 
 * @copyright      2013 Canonical Ltd
 * @license
 * @version        Release: 1.0
 * @filesource     wp-content/themes/ubuntu/single.php
 * @since          available since Release 1.0
 */
get_header(); 
?>

<?php if (have_posts()) : ?>
	<?php while (have_posts()) : the_post(); ?>
<div class="row">
	<div class="eight-col">
		<h1><a href="<?php the_permalink( ); ?>"><?php the_title(); ?></a></h1>
		<p class="tags"><?php the_tags('', ', ',''); ?></p>
		<?php the_content(); ?>
	</div>
	<div class="prepend-one three-col last-col">
		 <?php if(get_the_author_meta('user_photo', $curauth->ID)): ?>	
		    <img class="avatar" src="<?php bloginfo('url'); ?>/wp-content/uploads/<?php the_author_meta('user_photo',$curauth->ID); ?>" class="superellipse" alt="<?php the_author_meta('first_name',$curauth->ID); ?>'s photo" width="150" height="150" />
	    <?php else : ?>
		    	<?php echo get_avatar($curauth->user_email, '150', $avatar); ?>
	    <?php endif; ?>
		<p class="post-author"><a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php if(get_the_author_meta('first_name') == '') { ?><?php if(the_author_meta('display_name')) ?><?php } else { ?><?php if(the_author_meta('first_name')) ?><?php } if(get_the_author_meta('last_name') != '') { ?> <?php if(the_author_meta('last_name')) ?><?php } ?></a></p>
		<p class="post-date"><?php the_time('j') ?><sup><?php the_time('S') ?></sup><?php the_time(' F Y') ?></p>
		<p class="post-tags">Filed under: <?php the_category(', '); ?></p>
		<p class="post-comments"><a href="<?php comments_link(); ?>"><?php comments_number( 'No comments' ) ?></a></p>
		<div id="share-links">
			<h3>Share this article:</h3>
			<ul id="social-links" class="no-bullets">
				<li id="social-twitter"><a title="Share '<?php the_title(); ?>' on Twitter" href="http://twitter.com/share?text=Reading%20'<?php the_title(); ?>'%20at <?php bloginfo('name'); ?>&amp;url=<?php the_permalink(); ?>">Share on Twitter</a></li>
				<li><a id="social-email" title="Share '<?php the_title(); ?>' via Email" href="mailto:?subject=Saw this and thought of you&amp;Body=I'm currently reading '<?php the_title(); ?>' on the Canonical Design Blog and thought you would like it. Check it out: <?php the_permalink(); ?>">Share via Email</a></li>
				<li><a id="social-facebook" title="Share '<?php the_title(); ?>' on Facebook" href="http://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>&amp;t=Reading <?php the_title(); ?>">Share on Facebook</a></li>
				<li><a id="social-google" title="Share '<?php the_title(); ?>' on Google+" href="https://plus.google.com/share?url=<?php the_permalink(); ?>">Share on Google+</a></li>
			</ul>
		</div><!-- /#share-links -->
	</div> 
	
	<div class="eight-col">
		<?php comments_template(); ?> 
	</div>
</div>
	<?php endwhile; // while have_posts ends ?>
<?php endif; // if have_posts ends ?> 
<?php get_footer(); ?>